<?php
session_start();
if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) 
{
	header("location: ../login.php"); 
	exit;
}
require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos

	$query2=mysqli_query($con, "select * from tasa where id_tasa='1'");
	while ($row2=mysqli_fetch_array($query2)){
						$id_tasa=$row2['id_tasa'];
						$tasa_actual=$row2['tasa'];
						$ult_act=$row2['fecha'];
	}	
$condiciones="Liquidar";
$id_proforma= intval($_GET['id_proforma']);
$sql_proforma=mysqli_query($con,"select * from proformas where id_proforma='".$id_proforma."'");
$rw_proforma=mysqli_fetch_array($sql_proforma);
$numero_proforma=$rw_proforma['numero_proforma'];
$id_cliente=$rw_proforma['id_cliente'];
$id_vendedor=$rw_proforma['id_vendedor'];
$fecha_proforma=$rw_proforma['fecha_proforma'];
$tienda_proforma=$rw_proforma['almacen'];
$total_venta=$rw_proforma['total_venta'];
$date=date("Y-m-d H:i:s");			
$nums=1;
$sumador_total=0;

$sql=mysqli_query($con, "select * from products, detalle_proforma, proformas where products.id_producto=detalle_proforma.id_producto and detalle_proforma.numero_proforma=proformas.numero_proforma and proformas.id_proforma='".$id_proforma."'");
while ($row=mysqli_fetch_array($sql))
{
	$id_producto=$row["id_producto"];
	$codigo_producto=$row['codigo_producto'];
	$cantidad=$row['cantidad'];
	$nombre_producto=$row['nombre_producto'];
	$existencia_producto=$row['existencia'];
	$precio_venta=$row['precio_venta'];
	 
	$precio_venta_f=number_format($precio_venta,1);//Formateo variables
	$precio_venta_r=str_replace(",","",$precio_venta_f);//Reemplazo las comas
	$precio_total=$precio_venta_r*$cantidad;
	$precio_total_f=number_format($precio_total,1);//Precio total formateado
	$precio_total_r=str_replace(",","",$precio_total_f);//Reemplazo las comas
	$sumador_total+=$precio_total_r;//Sumador
	
    $sql=mysqli_query($con, "select LAST_INSERT_ID(numero_factura) as last from facturas order by id_factura desc limit 0,1 ");
	$rw=mysqli_fetch_array($sql);
	$numero_factura=$rw['last']+1;	
	//Insert en la tabla detalle_factura

	$c3=mysqli_query($con,"select * from detalle_proforma where numero_proforma='$numero_proforma'");
	while($d3=mysqli_fetch_array($c3))
	{
		$id_producto=$d3['id_producto'];
		$cantidad=$d3['cantidad'];
		$precio_ven=$d3['precio_venta'];
	
	$insert_detail=mysqli_query($con, "INSERT INTO detalle_factura VALUES ('','$numero_factura','','$id_producto','$cantidad','$precio_ven',' ','$tienda_proforma','$tasa_actual')");

		$nums++;
		
		$co=mysqli_query($con,"select * from products where id_producto='$id_producto'");
				$res_co=mysqli_fetch_array($co) or die(mysqli_error($con));;
				$existencia=$res_co['existencia'];
				$stock=$existencia-$cantidad;
				
	mysqli_query($con,"UPDATE `products` SET `existencia`='$stock' WHERE `products`.`id_producto`='$id_producto'");
		 
	}
}

$insert=mysqli_query($con,"INSERT INTO facturas VALUES ('','$numero_factura',$numero_proforma,'$date','$id_cliente','$id_vendedor','$condiciones','$total_venta',' ','1',' ',' ',' ',' ',' ',' ',' ',' ','NO','$tienda_proforma',' ','$total_venta',' ','$tasa_actual',' ')") or die(mysqli_error($con));
mysqli_query($con,"update proformas set estado_proforma='2' where id_proforma='$id_proforma'");

echo "<script>alert('Enviado a Facturacion');
window.location='../proformas.php';
</script>";
?>